<?xml version="1.0"?>

<!--
 * ========================================================================
 * 
 * Copyright 2004 Carlos Sanchez.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
-->

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
  This takes a "mergeFile" parameter with the name of the file to merge in
-->

<xsl:output method="xml" indent="yes" encoding="iso8859_1"
    doctype-public="-//Apache Software Foundation//DTD Struts Configuration 1.2//EN"
    doctype-system="http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd"/>

<xsl:param name="mergeFile"/>

<!-- get xml from main file appending sections from mergeFile. -->
<xsl:template match="/struts-config">
  <struts-config>

    <form-beans>
      <xsl:copy-of select="form-beans/form-bean"/>
      <xsl:copy-of select="document($mergeFile)/struts-config/form-beans/form-bean"/>
    </form-beans>

    <global-exceptions>
      <xsl:copy-of select="global-exceptions/exception"/>
      <xsl:copy-of select="document($mergeFile)/struts-config/global-exceptions/exception"/>
    </global-exceptions>

    <global-forwards>
      <xsl:copy-of select="global-forwards/forward"/>
      <xsl:copy-of select="document($mergeFile)/struts-config/global-forwards/forward"/>
    </global-forwards>

    <action-mappings>
      <xsl:copy-of select="action-mappings/action"/>
      <xsl:copy-of select="document($mergeFile)/struts-config/action-mappings/action"/>
    </action-mappings>

    <!-- controller -->
    <xsl:choose>
      <xsl:when test="document($mergeFile)/struts-config/controller">
        <xsl:copy-of select="document($mergeFile)/struts-config/controller"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="controller"/>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:copy-of select="message-resources"/>
    <xsl:copy-of select="document($mergeFile)/struts-config/message-resources"/>

    <xsl:copy-of select="plug-in"/>
    <xsl:copy-of select="document($mergeFile)/struts-config/plug-in"/>

  </struts-config>
</xsl:template>

<xsl:template match="*">
  <xsl:for-each select="@*">
    <xsl:attribute name="{.}">
      <xsl:value-of select="."/>
    </xsl:attribute>
  </xsl:for-each>
  <xsl:copy-of select="."/>
</xsl:template>

</xsl:stylesheet>
