<%--
 * ========================================================================
 * 
 * Copyright 2004 Carlos Sanchez.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
--%>

<%@ include file="/common/taglibs.jsp" %>

<tiles:useAttribute name="bean" scope="request"/>

<%-- Creation --%>
<div class="row">
    <span class="label"><fmt:message key="created.label" bundle="${commonBundle}"/></span>
    <span class="formw">
        <fmt:formatDate var="time" value="${bean.transactionTime.start.time}" type="both"/>
        <fmt:message key="created.value" bundle="${commonBundle}">
            <fmt:param value="${bean.createdBy}"/>
            <fmt:param value="${time}"/>
        </fmt:message>
    </span>
</div>

<%-- Deletion --%>
<c:if test="${bean.deletedBy != null}"> 
    <div class="row">
        <span class="label"><fmt:message key="deleted.label" bundle="${commonBundle}"/></span>
        <span class="formw">
            <fmt:formatDate var="time" value="${bean.transactionTime.end.time}" type="both"/>
            <fmt:message key="deleted.value" bundle="${commonBundle}">
                <fmt:param value="${bean.deletedBy}"/>
                <fmt:param value="${time}"/>
            </fmt:message>
        </span>
    </div>
</c:if>
